Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFAction

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFAction

All Implemented Interfaces:
  PDFWritable

Direct Known Subclasses:
  PDFGoTo, PDFGoToRemote, PDFInternalLink, PDFLaunch, PDFUri

public abstract class PDFAction
extends PDFObject

class representing an action object.

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFObject
`DATE_FORMAT, log`

Constructor Summary
`PDFAction()`

Method Summary
`abstract java.lang.String` | `getAction()` represent the action to call this method should be implemented to return the action which gets called by the Link Object.

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatDateTime, formatDateTime, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, output, outputInline, referencePDF, setDocument, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFAction

    public PDFAction()

Method Detail

### getAction

    public abstract java.lang.String getAction()

  represent the action to call this method should be implemented to return the action which gets called by the Link Object. This could be a reference to another object or the specific destination of the link

  Returns:
    the action to place next to /A within a Link

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.